#pragma once

#include "Widget.h"

#include <string>

class Label : public Widget
{
private:

    std::string mLabel;

public:

    Label();

    static std::unique_ptr<Label> Create();

    void SetLabel(const std::string& text);

    void OnPaintEvent(const PaintEvent* event) override;
};

using LabelUPtr = std::unique_ptr<Label>;
